{% extends 'layout.html' %}
{% load static %}

{% block title %}
Tiket Pengguna
{% endblock title %}

{% block js %}
<script src="{% static 'scripts/pengguna/tiket_pengguna.js' %}"></script>
{% endblock js %}

{% block content %}
{% include 'navbar.html' %}

<div class="container mt-5">
    <table class="table table-striped">
        <thead>
          <tr>
            <th scope="col">No</th>
            <th scope="col">Nomor Tiket</th>
            <th scope="col">Instansi Penyelenggara</th>
            <th scope="col">Waktu Pelaksanaan</th>
            <th scope="col">Status Tiket</th>
            <th scope="col">Action</th>
          </tr>
        </thead>
        <tbody>
          {% for tiket in list_tiket %}  
            <tr>
                <th scope="row">{{ forloop.counter }}</th>
                <td>{{ tiket.no_tiket }}</td>
                <td>{{ tiket.nama_instansi }}</td>
                <td>{{ tiket.tanggal_waktu|date:"j F Y" }} {{ tiket.tanggal_waktu|time:"H:i" }}</td>
                <td>{{ tiket.nama_status }}</td>
                <td hidden>{{ tiket.kategori_penerima }}</td>
                <td hidden>{{ tiket.nama }}</td>
                <td hidden>{{ tiket.status }}</td>
                <td hidden>{{ tiket.jumlah }}</td>
                <td><button type="button" class="btn btn-primary toggleModal">Detail</button></td>
            </tr>
           {% endfor %} 
        </tbody>
      </table>
</div>

<div class="modal fade" tabindex="-1" role="dialog" id="detail-jadwal"> 
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">Detail Jadwal</h4>
        </div>
        <div class="modal-body">
            <form>
                <div class="mb-3">
                    <label for="nama-instansi" class="col-form-label">Nama Instansi:</label>
                        <input type="text" class="form-control" id="nama-instansi" disabled>
                </div>
                <div class="mb-3">
                    <label for="tanggal-waktu" class="col-form-label">Tanggal dan Waktu Pelaksanaan:</label>
                    <input type="text" class="form-control" id="tanggal-waktu" disabled>
                </div>
                <div class="mb-3">
                    <label for="kuota" class="col-form-label">Kuota:</label>
                    <input type="text" class="form-control" id="kuota" disabled>
                </div>
                <div class="mb-3">
                    <label for="kategori-penerima" class="col-form-label">Kategori Penerima:</label>
                    <input type="text" class="form-control" id="kategori-penerima" disabled>
                </div>
                <div class="mb-3">
                    <label for="lokasi-vaksin" class="col-form-label">Lokasi Vaksin:</label>
                    <input type="text" class="form-control" id="lokasi-vaksin" disabled>
                </div>
                <div class="mb-3">
                    <label for="nomor-tiket" class="col-form-label">Nomor tiket:</label>
                    <input type="text" class="form-control" id="nomor-tiket" disabled>
                </div>
                <div class="mb-3">
                    <label for="status-tiket" class="col-form-label">Status Tiket:</label>
                    <input type="text" class="form-control" id="status-tiket" disabled>
                </div>
            </form>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-secondary" id="cancel">Cancel</button>
        </div>
    </div>
</div>

{% endblock content %}